Jump to content
Ultimaker Community of 3D Printing Experts
amagro

Cura 3.4.1 - Is Combing realy working?!

Recommended Posts

Hi @amgro. I can only build Cura for use on Linux, I don't have any Windows computers  or Macs here. So I can offer you a Linux archive (just unpack and run the included script). Let me know if you want that. I attach the gcode for your current model. Please note that combing may not give you the best quality results with this model because in the honeycomb region the walls are very narrow and so the nozzle will be right on the edge of the walls in some places. Maybe in the future Cura will comb over thin walls better than it does now. It is still under development (like all of Cura, actually).

CFFFP_MM_combo.gcode

Share this post


Link to post
Share on other sites

You can find my Linux archives at https://www.dropbox.com/sh/s43vqzmi4d2bqe2/AAADdYdSu9iwcKa0Knqgurm4a?dl=0

Just unpack somewhere and run cura/bin/cura.sh

Sorry they are so big, I haven't succeeded in creating an appimage, these are just copies of my installation tree which has lots of files that you don't actually need. Good luck!

Share this post


Link to post
Share on other sites

Hello @smartavionics,

 

I'm having some issues opening the Cura.sh file, this are the erros:

_________________________________________________________________________________________________________________

 

beei@beei-VirtualBox:~$ cd Desktop/cura/bin/
beei@beei-VirtualBox:~/Desktop/cura/bin$ ./cura.sh 
Error in sys.excepthook:
Traceback (most recent call last):
  File "/home/beei/Desktop/cura/lib/python3.5/site-packages/numpy/core/__init__.py", line 16, in <module>
    from . import multiarray
ImportError: libgfortran.so.3: cannot open shared object file: No such file or directory

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<frozen importlib._bootstrap>", line 969, in _find_and_load
  File "<frozen importlib._bootstrap>", line 958, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 673, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 665, in exec_module
  File "<frozen importlib._bootstrap>", line 222, in _call_with_frames_removed
  File "/home/beei/Desktop/cura/lib/python3/dist-packages/cura/CrashHandler.py", line 21, in <module>
    from UM.Application import Application
  File "/home/beei/Desktop/cura/lib/python3/dist-packages/UM/Application.py", line 9, in <module>
    from UM.Controller import Controller
  File "/home/beei/Desktop/cura/lib/python3/dist-packages/UM/Controller.py", line 3, in <module>
    from UM.Scene.Scene import Scene
  File "/home/beei/Desktop/cura/lib/python3/dist-packages/UM/Scene/Scene.py", line 13, in <module>
    from UM.Mesh.ReadMeshJob import ReadMeshJob  # To reload a mesh when its file was changed.
  File "/home/beei/Desktop/cura/lib/python3/dist-packages/UM/Mesh/ReadMeshJob.py", line 5, in <module>
    from UM.Math.Vector import Vector
  File "/home/beei/Desktop/cura/lib/python3/dist-packages/UM/Math/Vector.py", line 4, in <module>
    import numpy
  File "/home/beei/Desktop/cura/lib/python3.5/site-packages/numpy/__init__.py", line 142, in <module>
    from . import add_newdocs
  File "/home/beei/Desktop/cura/lib/python3.5/site-packages/numpy/add_newdocs.py", line 13, in <module>
    from numpy.lib import add_newdoc
  File "/home/beei/Desktop/cura/lib/python3.5/site-packages/numpy/lib/__init__.py", line 8, in <module>
    from .type_check import *
  File "/home/beei/Desktop/cura/lib/python3.5/site-packages/numpy/lib/type_check.py", line 11, in <module>
    import numpy.core.numeric as _nx
  File "/home/beei/Desktop/cura/lib/python3.5/site-packages/numpy/core/__init__.py", line 26, in <module>
    raise ImportError(msg)
ImportError: 
Importing the multiarray numpy extension module failed.  Most
likely you are trying to import a failed build of numpy.
If you're working with a numpy git repo, try `git clean -xdf` (removes all
files not under version control).  Otherwise reinstall numpy.

Original error was: libgfortran.so.3: cannot open shared object file: No such file or directory


Original exception was:
Traceback (most recent call last):
  File "/home/beei/Desktop/cura/lib/python3.5/site-packages/numpy/core/__init__.py", line 16, in <module>
    from . import multiarray
ImportError: libgfortran.so.3: cannot open shared object file: No such file or directory

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/beei/Desktop/cura/bin/cura", line 134, in <module>
    from cura.CuraApplication import CuraApplication
  File "/home/beei/Desktop/cura/lib/python3/dist-packages/cura/CuraApplication.py", line 10, in <module>
    import numpy
  File "/home/beei/Desktop/cura/lib/python3.5/site-packages/numpy/__init__.py", line 142, in <module>
    from . import add_newdocs
  File "/home/beei/Desktop/cura/lib/python3.5/site-packages/numpy/add_newdocs.py", line 13, in <module>
    from numpy.lib import add_newdoc
  File "/home/beei/Desktop/cura/lib/python3.5/site-packages/numpy/lib/__init__.py", line 8, in <module>
    from .type_check import *
  File "/home/beei/Desktop/cura/lib/python3.5/site-packages/numpy/lib/type_check.py", line 11, in <module>
    import numpy.core.numeric as _nx
  File "/home/beei/Desktop/cura/lib/python3.5/site-packages/numpy/core/__init__.py", line 26, in <module>
    raise ImportError(msg)
ImportError: 
Importing the multiarray numpy extension module failed.  Most
likely you are trying to import a failed build of numpy.
If you're working with a numpy git repo, try `git clean -xdf` (removes all
files not under version control).  Otherwise reinstall numpy.

Original error was: libgfortran.so.3: cannot open shared object file: No such file or directory

_____________________________________________________________________________________________________________________
 

Since I don't have enough knowledge to solve this error, could you please generate another gcode but now for a different printer?
I send you the Cura project with the stl and the 3D printer.

marcador_1.0.curaproject.3mf.zip

 

Thank you very much.

 

 

Share this post


Link to post
Share on other sites

Hi @amagro, I attach the gcode. This was sliced with combing mode "no skin" and "avoid printed parts when travelling" turned off. I haven't printed it but the layer view looks OK.

 

As for the gfortran error above, it looks like you need to install the fortran runtime libraries so do "sudo apt-get install gfortran" and it should download and install what you need.

If you get the Linux version working, I will post another archive as I have done some more work on the combing.

CFFFP_marcador_1.0.gcode

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

  • Our picks

    • Ultimaker Cura | a new interface
      We're not only trying to always make Ultimaker Cura better with the usual new features and improvements we build, but we're also trying to make it more pleasant to operate. The interface was the focus for the upcoming release, from which we would already like to present you the first glance. 
        • Like
      • 18 replies
    • "Back To The Future" using Generative Design & Investment Casting
      Designing for light-weight parts is becoming more important, and I’m a firm believer in the need to produce lighter weight, less over-engineered parts for the future. This is for sustainability reasons because we need to be using less raw materials and, in things like transportation, it impacts the energy usage of the product during it’s service life.
        • Like
      • 12 replies
×

Important Information

Welcome to the Ultimaker Community of 3D printing experts. Visit the following links to read more about our Terms of Use or our Privacy Policy. Thank you!